## START: Set by rpmautospec
## (rpmautospec version 0.3.0)
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 4;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global _description %{expand:
Writing a setup.py typically involves lots of boilerplate and copy-pasting from
project to project.

This package aims to simplify that and bring some DRY principle to python
packaging.}

Name:           python-setupmeta
Version:        3.3.2
Release:        %{autorelease}
Summary:        Simplify your setup.py

License:        MIT
URL:            https://pypi.org/pypi/setupmeta
Source0:        %{pypi_source setupmeta}

BuildArch:      noarch

%description %_description

%package -n python3-setupmeta
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  python3-pytest
BuildRequires:  python3-pep440
BuildRequires:  python3-setuptools_scm
BuildRequires:  git-core

%description -n python3-setupmeta %_description

%prep
%autosetup -n setupmeta-%{version}
# required to make it not try to self-refer
rm -rf setupmeta.egg-info

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files setupmeta

%check
# required for some tests
git config --global user.email "you@example.com"
git config --global user.name "Your Name"
# test_check_dependencies: requires a virtualenv
# test_version: requires a full git based project with their versioning scheme
# test_scenario: ditto
%{pytest} -k "not test_check_dependencies and not test_version and not test_scenario"

%files -n python3-setupmeta -f %{pyproject_files}
%doc README.rst

%changelog
* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> 3.3.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Oct 21 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 3.3.2-2
- feat: ready for review

* Sun Oct 16 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> 3.3.2-1
- chore: init
